Loading...
Searching...
No Matches
dvbs2_interleaver_bb.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015,2017 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBS2_INTERLEAVER_BB_H
#define INCLUDED_DTV_DVBS2_INTERLEAVER_BB_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
namespace gr {
namespace dtv {
/*!
* \brief Bit interleaves DVB-S2 FEC baseband frames.
* \ingroup dtv
*
* Input: Normal or short FEC baseband frames with appended LPDC (LDPCFEC). \n
* Output: Bit interleaved baseband frames.
*/
class DTV_API dvbs2_interleaver_bb : virtual public gr::block
{
public:
typedef std::shared_ptr<dvbs2_interleaver_bb> sptr;
/*!
* \brief Create a DVB-S2 bit interleaver.
*
* \param framesize FEC frame size (normal or short).
* \param rate FEC code rate.
* \param constellation DVB-S2 constellation.
*/
static sptr make(dvb_framesize_t framesize,
dvb_code_rate_t rate,
dvb_constellation_t constellation);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBS2_INTERLEAVER_BB_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::dtv::dvbs2_interleaver_bb
Bit interleaves DVB-S2 FEC baseband frames.
Definition dvbs2_interleaver_bb.h:27
gr::dtv::dvbs2_interleaver_bb::make
static sptr make(dvb_framesize_t framesize, dvb_code_rate_t rate, dvb_constellation_t constellation)
Create a DVB-S2 bit interleaver.
gr::dtv::dvbs2_interleaver_bb::sptr
std::shared_ptr< dvbs2_interleaver_bb > sptr
Definition dvbs2_interleaver_bb.h:29
dvb_config.h
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv::dvb_code_rate_t
dvb_code_rate_t
Definition dvb_config.h:19
gr::dtv::dvb_framesize_t
dvb_framesize_t
Definition dvb_config.h:73
gr::dtv::dvb_constellation_t
dvb_constellation_t
Definition dvb_config.h:79
gr
GNU Radio logging wrapper.
Definition basic_block.h:29